<template>
  <div>
    <section>
      <base-card>
        <h2>{{ name }}</h2>
        <h3>${{ price }}/hour</h3>
      </base-card>
    </section>
    <section>
      <base-card>
        <header>
          <h2>Interested? Reach out now!</h2>
          <base-button link :to="contactLink">Contact</base-button><br />
          <button
            class="btn btn-outline-dark color-hint-button ml-5"
            v-if="!link"
            :class="mode"
            v-on:click="generateBill"
          >
            Test PDDF
          </button>
        </header>
        <router-view></router-view>
      </base-card>
    </section>
    <section>
      <base-card>
        <base-badge
          v-for="category_ in category"
          :key="category_"
          :type="category_"
          :title="category_"
        ></base-badge>
        <p>{{ description }}</p>
      </base-card>
    </section>
  </div>
</template>

<script>
import axios from "axios";
export default {
  props: ["id"],
  data() {
    return {
      selectedService: null,
    };
  },
  computed: {
    areas() {
      return this.selectedService.areas;
    },
    price() {
      return this.selectedService.price;
    },
    description() {
      return this.selectedService.description;
    },
    category() {
      return this.selectedService.category[0];
    },
    contactLink() {
      return (
        this.$route.path + "/contact/" + this.selectedService.provider.slice(-1)
      );
    },
  },
  created() {
    this.selectedService = this.$store.getters["services/services"].find(
      (service) => service.id === this.$route.params.id
    );
  },
  methods: {
    generateBill(data) {
      try {
        var token = sessionStorage.getItem("token");
        axios
          .post("https://localhost:8443/billpdf/" + "1" + "/generate", {
            headers: {
              "Content-Type": "application/json",
              Authorization: "Bearer " + token,
            },
          })
          .then((response) => {
            console.log(response);
          });
      } catch (error) {
        console.log(error);
      }
    },
  },
};
</script>